# x265 CLI Documentation

## SYNOPSIS

x265 [options] infile [-o] outfile

Bit depth: 8

x265-10bit [options] infile [-o] outfile

Bit depth: 10

infile can be YUV or Y4M

outfile is raw HEVC bitstream

## DESCRIPTION

- Introduction
  - About HEVC
  - About x265
  - LEGAL NOTICES

## OPTIONS

- Command Line Options
  - Executable Options
  - Logging/Statistic Options
  - Performance Options
  - Input/Output File Options
  - Profile, Level, Tier
  - Mode decision / Analysis
  - Temporal / motion search options
  - Spatial/intra options
  - Psycho-visual options
  - Slice decision options
  - Quality, rate control and rate distortion options
  - Quantization Options
  - Loop filters
  - VUI (Video Usability Information) options
  - Bitstream options
  - DCT Approximations
  - Debugging options
  - ABR-ladder Options
  - SVT-HEVC Encoder Options
  - Alpha Encode Options
  - Multiview Encode Options
  - Screen Content Coding (SCC) Options
- Preset Options
  - Presets
  - Tuning
- Lossless
  - Lossless Encoding
  - Near-lossless Encoding
  - Transform Skip

## SEE ALSO

libx265(3)

Online documentation: http://x265.readthedocs.org/en/default/cli.html